Package org.apache.lucene.spatial3d.geom

# Interface Membership

All Known Subinterfaces:
  `GeoArea`, `GeoAreaShape`, `GeoBBox`, `GeoBounds`, `GeoCircle`, `GeoDistance`, `GeoDistanceShape`, `GeoMembershipShape`, `GeoOutsideDistance`, `GeoPath`, `GeoPointShape`, `GeoPolygon`, `GeoShape`, `XYZSolid`

All Known Implementing Classes:
  `GeoBaseBounds`, `GeoBaseCompositeShape`, `GeoBaseDistanceShape`, `GeoBaseMembershipShape`, `GeoBaseShape`, `GeoCompositeAreaShape`, `GeoCompositeMembershipShape`, `GeoCompositePolygon`, `GeoDegenerateVerticalLine`, `SidedPlane`

public interface Membership
Implemented by Geo3D shapes that can calculate if a point is within it or not.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isWithin(double x, double y, double z)`
  Check if a point is within this shape.
  `default boolean`
  `isWithin(Vector point)`
  Check if a point is within this shape.

- ## Method Details

  - ### isWithin

    default boolean isWithin(Vector point)
    Check if a point is within this shape.
    Parameters:
      `point` - is the point to check.
    Returns:
      true if the point is within this shape

  - ### isWithin

    boolean isWithin(double x, double y, double z)
    Check if a point is within this shape.
    Parameters:
      `x` - is x coordinate of point to check.
      `y` - is y coordinate of point to check.
      `z` - is z coordinate of point to check.
    Returns:
      true if the point is within this shape